<?php
/*
Plugin Name: Link Manager 2
Description: Manage a collection of links and link categories
Version: 1.3
Author: Adrian D. Elgar
Author URI: http://mrdragonraaar.com
*/

// plugin id
define('LM2_PLUGIN_ID', basename(__FILE__, '.php'));
// plugin path
define('LM2_PLUGIN_PATH', GSPLUGINPATH . LM2_PLUGIN_ID . '/');
// plugin includes path
define('LM2_INC_PATH', LM2_PLUGIN_PATH . 'inc/');

// add in this plugin's language file
i18n_merge(LM2_PLUGIN_ID) || i18n_merge(LM2_PLUGIN_ID, 'en_US');

// register plugin
register_plugin(
	LM2_PLUGIN_ID,
	i18n_r(LM2_PLUGIN_ID . '/LM2_TITLE'),
	'1.0',
	'Adrian D. Elgar',
	'http://mrdragonraaar.com/getsimple/',
	i18n_r(LM2_PLUGIN_ID . '/LM2_DESC'),
	'links',
	'lm2_main'
);

// hooks
add_action('nav-tab', 'createNavTab', 
   array('links', LM2_PLUGIN_ID, i18n_r(LM2_PLUGIN_ID . '/LINKS'), 'links'));
add_action('links-sidebar', 'createSideMenu', 
   array(LM2_PLUGIN_ID, i18n_r(LM2_PLUGIN_ID . '/MANAGE_LINKS'), 'links'));
add_action('links-sidebar', 'createSideMenu', 
   array(LM2_PLUGIN_ID, i18n_r(LM2_PLUGIN_ID . '/CATEGORIES'), 'categories'));
add_filter('content', 'lm2_filter');

// includes
require_once(LM2_INC_PATH . 'functions.php');

// javascript
register_script('jquery-validate', 'http://ajax.aspnetcdn.com/ajax/jquery.validate/1.10.0/jquery.validate.min.js', '1.10.0');
register_script(LM2_PLUGIN_ID, $SITEURL . 'plugins/' . LM2_PLUGIN_ID . '/js/' . LM2_PLUGIN_ID . '.js', '1.0');
queue_script('jquery-ui', GSBACK);
queue_script('jquery-validate', GSBACK);
queue_script(LM2_PLUGIN_ID, GSBACK);

// stylesheet
register_style(LM2_PLUGIN_ID, $SITEURL . 'plugins/' . LM2_PLUGIN_ID . '/css/' . LM2_PLUGIN_ID . '.css', '1.0', 'screen');
queue_style(LM2_PLUGIN_ID, GSBACK);

?>
