<?php
/**
 * Link Manager 2 template for links admin panel.
 *
 * (c)2012 mrdragonraaar.com
 */
if (!defined('IN_GS')) { die('you cannot load this page directly.'); }

$links = $lm2->links();

?>
<!-- Title -->
<h3 class="floated"><?php i18n(LM2_PLUGIN_ID . '/MANAGE_LINKS'); ?></h3>
<!-- END Title -->

<!-- Add New Link -->
<div class="edit-nav clearfix">
<a href="<?php echo $lm2::link_edit_url(); ?>"><?php i18n(LM2_PLUGIN_ID . '/NEW_LINK'); ?></a>
</div>
<!-- END Add New Link -->

<?php if (empty($links)) { ?>
<!-- No Links -->
<p><?php i18n(LM2_PLUGIN_ID . '/NO_LINKS'); ?></p>
<!-- END No Links -->
<?php } else { ?>
<?php if (count($links) > 1) { ?>
<!-- Change Order -->
<p><?php i18n(LM2_PLUGIN_ID . '/CHANGE_ORDER'); ?></p>
<!-- END Change Order -->
<?php } ?>
<!-- Links -->
<form method="post">
<table id="links" class="highlight">
<tr>
	<th><?php i18n(LM2_PLUGIN_ID . '/NAME'); ?></th>
	<th><?php i18n(LM2_PLUGIN_ID . '/URL'); ?></th>
	<th></th>
	<th><?php i18n(LM2_PLUGIN_ID . '/TARGET'); ?></th>
	<th><?php i18n(LM2_PLUGIN_ID . '/DESCRIPTION'); ?></th>
	<th><?php i18n(LM2_PLUGIN_ID . '/CATEGORY'); ?></th>
	<th><?php i18n(LM2_PLUGIN_ID . '/ICON'); ?></th>
	<th></th>
</tr>
<tbody>
<?php foreach ($links as $id => $link) { ?>
<!-- <?php echo $link->name; ?> -->
<tr rel="<?php echo $link->url; ?>">
	<!-- Name -->
	<td>
	<a href="<?php echo $lm2::link_edit_url($id); ?>" title="<?php i18n(LM2_PLUGIN_ID . '/EDIT_LINK'); ?>: <?php echo $link->name; ?>">
	<?php echo $link->name; ?>
	</a>
	</td>
	<!-- END Name -->
	<!-- URL -->
	<td>
	<span><?php echo strlen($link->url) > 20 ? substr($link->url, 0, 20) . '...' : $link->url; ?></span>
	</td>
	<td class="secondarylink">
	<a href="<?php echo $link->url; ?>" target="_blank" title="<?php i18n(LM2_PLUGIN_ID . '/VIEW_LINK'); ?>: <?php echo $link->name; ?>">
	#
	</a>
	</td>
	<!-- END URL -->
	<!-- Target -->
	<td>
	<span><?php echo $link->target ? $link->target : 'none'; ?></span>
	</td>
	<!-- END Target -->
	<!-- Description -->
	<td title="<?php echo $link->desc; ?>">
	<span><?php echo strlen($link->desc) > 15 ? substr($link->desc, 0, 15) . '...' : $link->desc; ?></span>
	</td>
	<!-- END Description -->
	<!-- Category -->
	<td>
	<span><?php echo (isset($link->category) && $lm2->category_name($link->category)) ? $lm2->category_name($link->category) : '-'; ?></span>
	</td>
	<!-- END Category -->
	<!-- Icon -->
	<td>
	<?php if (isset($link->icon)) { ?>
	<img height="16" width="16" src="<?php echo $link->icon; ?>" />
	<?php } ?>
	</td>
	<!-- END Icon -->
	<!-- Delete -->
	<td class="delete">
	<a href="<?php echo $lm2::link_delete_url($id); ?>" class="delconfirm" title="<?php i18n(LM2_PLUGIN_ID . '/DELETE_LINK'); ?>: <?php echo $link->name; ?>?">
	X
	</a>
	</td>
	<!-- END Delete -->
</tr>
<!-- END <?php echo $link->name; ?> -->
<?php } ?>
</tbody>
</table>
<?php if (count($links) > 1) { ?>
<!-- Link Order Submit -->
<input type="hidden" name="link-order" value="">
<input type="submit" class="submit" name="order" value="<?php i18n(LM2_PLUGIN_ID . '/SAVE_ORDER'); ?>">
<!-- END Link Order Submit -->
<?php } ?>
</form>
<!-- END Links -->
<?php } ?>
