<?php
/**
 * Link Manager 2 template for links edit panel.
 *
 * (c)2012 mrdragonraaar.com
 */
if (!defined('IN_GS')) { die('you cannot load this page directly.'); }

$id = $lm2::edit_id();
$link = $lm2->edit_link();

?>
<!-- Title -->
<?php if (isset($link)) { ?>
<h3><?php i18n(LM2_PLUGIN_ID . '/EDIT_LINK'); ?></h3>
<?php } else { ?>
<h3><?php i18n(LM2_PLUGIN_ID . '/NEW_LINK'); ?></h3>
<?php } ?>
<!-- END Title -->

<!-- Edit Link Form -->
<form class="largeform" id="edit" action="<?php echo $lm2::link_url(); ?>" method="post" accept-charset="utf-8">
<!-- ID -->
<?php if (isset($link)) { ?>
<p><input name="link-id" type="hidden" value="<?php echo $id; ?>" /></p>
<?php } ?>
<!-- END ID -->
<!-- Name -->
<p>
<label for="link-name"><?php i18n(LM2_PLUGIN_ID . '/NAME'); ?>:</label>
<input class="text required" name="link-name" id="link-name" type="text" value="<?php if (isset($link)) { echo $link->name; } ?>" />
</p>
<!-- END Name -->
<!-- URL -->
<p>
<label for="link-url"><?php i18n(LM2_PLUGIN_ID . '/URL'); ?>:</label>
<input class="text url required" name="link-url" id="link-url" type="text" value="<?php echo isset($link) ? $link->url : 'http://'; ?>" />
</p>
<!-- END URL -->
<!-- Target -->
<p>
<label for="link-target"><?php i18n(LM2_PLUGIN_ID . '/TARGET'); ?>:</label>
<select class="text" name="link-target" id="link-target">
<option value="" <?php if (!isset($link) || !$link->target) { echo 'selected'; } ?>>none</option>
<option value="_blank" <?php if (isset($link) && !strcmp('_blank', $link->target)) { echo 'selected'; } ?>>_blank</option>
<option value="_top" <?php if (isset($link) && !strcmp('_top', $link->target)) { echo 'selected'; } ?>>_top</option>
</select>
</p>
<!-- END Target -->
<!-- Description -->
<p>
<label for="link-desc"><?php i18n(LM2_PLUGIN_ID . '/DESCRIPTION'); ?>:</label>
<input class="text" name="link-desc" id="link-desc" type="text" value="<?php if (isset($link)) { echo $link->desc; } ?>" />
</p>
<!-- END Description -->
<!-- Category -->
<p>
<label for="link-category"><?php i18n(LM2_PLUGIN_ID . '/CATEGORY'); ?>:</label>
<select class="text" name="link-category" id="link-category">
<option value="-1">-</option>
<?php foreach ($lm2->categories() as $id => $category) { ?>
<option value="<?php echo $id; ?>" <?php if (isset($link) && ($id == $link->category)) { echo 'selected'; } ?>><?php echo $category->name; ?></option>
<?php } ?>
</select>
</p>
<!-- END Category -->
<!-- Icon URL -->
<p>
<label for="link-icon"><?php i18n(LM2_PLUGIN_ID . '/ICON'); ?>:</label>
<input class="text url" name="link-icon" id="link-icon" type="text" value="<?php echo isset($link) ? $link->icon : 'http://'; ?>" />
</p>
<!-- END Icon URL -->
<p>
<!-- Submit -->
<input class="submit" type="submit" name="link" value="<?php i18n(LM2_PLUGIN_ID . '/SAVE_LINK'); ?>" />
<!-- END Submit -->
&nbsp;&nbsp;
<?php i18n(LM2_PLUGIN_ID . '/OR'); ?>
&nbsp;&nbsp;
<!-- Cancel -->
<a href="<?php echo $lm2::link_cancel_url(); ?>" class="cancel"><?php i18n(LM2_PLUGIN_ID . '/CANCEL'); ?></a>
<!-- END Cancel -->
<!-- Delete -->
<?php if (isset($link)) { ?>
/
<a href="<?php echo $lm2::link_delete_url($id); ?>" class="cancel">
<?php i18n(LM2_PLUGIN_ID . '/DELETE'); ?>
</a>
<?php } ?>
<!-- END Delete -->
</p>
</form>
<!-- END Edit Link Form -->
